gstreamermm: Gst::MessageElement Class Reference

# Gst::MessageElement Class Reference

An element specific message. More...

`#include <message.h>`

Inheritance diagram for Gst::MessageElement:

List of all members.

## Public Member Functions
| MessageElement (GstMessage* castitem)
## Static Public Member Functions
static Glib::RefPtr<Gst::Message> | create (const Glib::RefPtr<Gst::Object>& src, Gst::Structure& structure)
| Create a new element-specific message.
static Glib::RefPtr<Gst::Message> | create (const Glib::RefPtr<Gst::Object>& src)
| Create a new element-specific message.

## Detailed Description

An element specific message.

See create() for more details.

## Constructor& Destructor Documentation

Gst::MessageElement::MessageElement | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageElement::create | ( | const Glib::RefPtr<Gst::Object>& | src,
|  | Gst::Structure& | structure |
| ) |  |  | `[static]`

Create a new element-specific message.

This is meant as a generic way of allowing one-way communication from an element to an application, for example "the firewire cable was unplugged". The format of the message should be documented in the element's documentation.

Parameters:

  | src | The object originating the message.
  | structure | The structure for the message. The message will take a copy of the structure.

Returns:
  The new element message. MT safe.

static Glib::RefPtr<Gst::Message> Gst::MessageElement::create | ( | const Glib::RefPtr<Gst::Object>& | src | ) | `[static]`

Create a new element-specific message.

This is meant as a generic way of allowing one-way communication from an element to an application, for example "the firewire cable was unplugged". The format of the message should be documented in the element's documentation. No Gst::Structure is needed.

Parameters:

  | src | The object originating the message.

Returns:
  The new element message. MT safe.

The documentation for this class was generated from the following file:

- message.h